Skip to main content
GET
List reconciliation sources

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Path Parameters

contextId
string
required

The unique identifier of the reconciliation context.

Query Parameters

limit
integer
default:20

The maximum number of items to include in the response.

Required range: 1 <= x <= 200
cursor
string

The cursor value for retrieving the next page of results.

type
enum<string>

Filter by source type

Available options:
LEDGER,
BANK,
GATEWAY,
CUSTOM

Response

List of sources with cursor pagination

Cursor-paginated list of reconciliation sources

hasMore
boolean
Example:

true

items
object[]

List of reconciliation sources with field map status

limit
integer
Required range: 1 <= x <= 200
Example:

20

nextCursor
string
Example:

"eyJpZCI6IjEyMyJ9"

prevCursor
string
Example:

"eyJpZCI6IjEyMiJ9"